AgentConnect
Agents

Get an external-memory record

GET
/v1/orgs/{orgId}/agents/{id}/memory/records/{recordId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
recordId*string
Length1 <= length <= 512

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/memory/records/string"
{  "record": {    "id": "string",    "text": "string",    "score": 0,    "scope": {      "kind": "agent",      "key": "string"    },    "metadata": {      "property1": null,      "property2": null    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "provenance": {      "pluginId": "string",      "backendId": "string"    },    "version": "string"  }}